Bug 405030 - Start search with CTRL+F
Summary: Start search with CTRL+F
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Applications
Component: sidebarview (show other bugs)
Version: 5.15.2
Platform: Neon Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Marco Martin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-03 12:10 UTC by dagobertram
Modified: 2020-01-04 17:34 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.18


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dagobertram 2019-03-03 12:10:54 UTC
SUMMARY
I would like to (re-)start a search in System Settings by pressing CTRL+F.

SOFTWARE/OS VERSIONS
Windows: 
MacOS: 
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 5.15.2
KDE Frameworks Version: 5.55.0
Qt Version: 5.12.0

ADDITIONAL INFORMATION
Comment 1 Nate Graham 2019-09-15 21:54:19 UTC
This is still broken, because there's a Kirigami search field that has built-in logic to intercept Ctrl+F, but the base app re-implements this itself (for the non-sidebar views), so the two conflict.

We can't just remove the QWidgets searchfield logic because some people still using icon view are using it. Also, even if you do that, then for reasons I have not discovered, the Kirigami searchfield receives focus when you hit Ctrl+F, but does not actually accept text input until you manually click in it. It's odd.
Comment 2 Thiago Sueto 2019-12-30 17:38:20 UTC
As an addendum, currently pressing Ctrl+F on System Settings will show:

>Ambiguous shortcut detected
>The key sequence 'Ctrl+F' is ambiguous. Use 'Configure Shortcuts'
>from the 'Settings' menu to solve the ambiguity.
>No action will be triggered.

I'm using
Operating System: Kubuntu 19.04
KDE Plasma Version: 5.16.90
KDE Frameworks Version: 5.62.0
Qt Version: 5.12.2
Comment 3 Nate Graham 2019-12-30 21:25:14 UTC
Took another look and figured out how to fix this: https://phabricator.kde.org/D26305
Comment 4 Nate Graham 2020-01-04 17:34:58 UTC
Git commit 4a82adba76df92d19337e7c87b3c1121433cf6f8 by Nate Graham.
Committed on 04/01/2020 at 17:34.
Pushed by ngraham into branch 'master'.

Fix Ctrl+F shortcut conflict

Summary:
The base app was always setting Ctrl+F as a search shortcut, even when the toolbar upon
which the search field lives was not visible. This caused the dreaded "ambiguous shortcut"
dialog to appear. The patch fixes the issue by setting the shortcut only when the toolbar
contains a search field, and unsetting it when the toolbar is hidden.
FIXED-IN: 5.18

Test Plan:
Hit {key Ctrl F} in both sidebar and icons view. In both cases, it focuses the search
field.

Reviewers: #plasma, GB_2, apol

Reviewed By: apol

Subscribers: apol, plasma-devel

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D26305

M  +7    -1    app/SettingsBase.cpp

https://commits.kde.org/systemsettings/4a82adba76df92d19337e7c87b3c1121433cf6f8